#!/bin/sh
LOG="/_config/update/update.log"
URL="www.htpc-forum.de/gen2vdr/1.1/fixes"
MD5_FILE="g2v_md5_fixes"

cd /_config/update
if [ "$1" != "-media" ] ; then
   rm -f $MD5_FILE >/dev/null 2>&1
   wget "${URL}/${MD5_FILE}"
   ARCHS=$(cat $MD5_FILE | grep "\.tar\.bz2" | cut -f 3 -d " ")
else
   ARCHS=$(ls -l /media/*/g2v_inst/g2v_*.tar.bz2 | cut -f 2- -d "/")
fi

for i in $ARCHS ; do
   if [ "$1" != "-media" ] ; then
      if [ -f ${i} ] ; then
         echo "Checking md5sum <${i}> ..."
         MD5=$(md5sum ${i} | cut -f 1 -d " ")
         if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" != "" ] ; then
            echo "$i bereits verarbeitet"
            continue
         else
            rm -f ${i}
         fi    
      fi
      echo "Downloading <${i}> ..." | tee -a $LOG
      wget ${URL}/${i}
      MD5=$(md5sum ${i} | cut -f 1 -d " ")
      if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" = "" ] ; then
         logger -s "Fehler bei Download von ${i}"
         exit -1
      fi
      FN=$i
   else
      diff -uN /$i /_config/update/ > /dev/null 2>&1
      if [ "$?" = "0" ] ; then
          echo "$i bereits verarbeitet"
          continue
      fi
      cp /$i /_config/update/
      FN="$(echo $i | cut -f 4 -d "/")"
   fi   
   logger -s "Entpacke <$FN>"            
   tar -C / -xjvf $FN 2>&1 | tee -a $LOG
   INST_SCRIPT=$(echo $FN| sed -e "s/.tar.bz2/.sh/")
   if [ -f $INST_SCRIPT ] ; then
      logger -s "Starte <$INST_SCRIPT>"            
      sh $INST_SCRIPT 2>&1 | tee -a $LOG
   fi
done
if [ "$(pidof vdr)" = "" ] ; then
   /etc/init.d/vdr start
fi

